> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topmediai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Api Key Info

> Get the remaining rights and interests information of the current x-api-key.



## OpenAPI

````yaml https://api.topmediai.com/topmediai_api.json get /v1/get_api_key_info
openapi: 3.1.0
info:
  title: Topmediai API Documentation
  description: >-
    This is the documentation for the Topmediai API. You can use this API to use
    our service programmatically, this is done by using your x-api-key. You can
    get your x-api-key by request our Get API Key Web page on
    https://www.topmediai.com/api/text-to-speech-api/. Our API is experimental
    so all endpoints are subject to change.
  version: 1.0.0
servers:
  - url: https://api.topmediai.com
security: []
paths:
  /v1/get_api_key_info:
    get:
      tags:
        - X-API-Key-Info
      summary: Get Api Key Info
      description: >-
        Get the remaining rights and interests information of the current
        x-api-key.
      operationId: get_api_key_info_v1_get_api_key_info_get
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIKeysResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    APIKeysResponse:
      properties:
        x_api_key:
          type: string
          title: X Api Key
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          exclude_unset: true
        member_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Member Id
          exclude_unset: true
        key_status:
          type: integer
          title: Key Status
        key_words_counts:
          type: integer
          title: Key Words Counts
        key_clone_voices:
          type: integer
          title: Key Clone Voices
        key_cover_counts:
          anyOf:
            - type: number
            - type: integer
          title: Key Cover Counts
        key_vc_counts:
          type: integer
          title: Key Vc Counts
        key_music_counts:
          anyOf:
            - type: number
            - type: integer
          title: Key Music Counts
        key_singing_credits:
          anyOf:
            - type: number
            - type: integer
          title: Key Singing Credits
        key_created_at:
          anyOf:
            - type: string
              format: date-time
            - type: string
            - type: 'null'
          title: Key Created At
          exclude_unset: true
        key_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: string
            - type: 'null'
          title: Key Updated At
          exclude_unset: true
        key_recently_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: string
            - type: 'null'
          title: Key Recently Used At
          exclude_unset: true
        key_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Key Name
          exclude_unset: true
      type: object
      required:
        - x_api_key
        - key_status
        - key_words_counts
        - key_clone_voices
        - key_cover_counts
        - key_vc_counts
        - key_music_counts
        - key_singing_credits
      title: APIKeysResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````